View Issue Details

IDProjectCategoryView StatusLast Update
0032053LazarusIDEpublic2017-08-20 19:55
ReporterCudaText man Assigned ToOndrej Pokorny  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformUbuntu 14.4 
Product Version1.9 (SVN) 
Summary0032053: IDE options dlg: filter-box has black texthint
DescriptionOn first show, filter-box has black texthint,
on fill./clear this filter: texthint is pale again.
Picture.
TagsNo tags attached.
Fixed in Revision55716, 55718
LazTarget-
WidgetsetGTK 2
Attached Files

Activities

CudaText man

2017-06-21 20:15

reporter  

filter-1st.png (28,986 bytes)   
filter-1st.png (28,986 bytes)   

Ondrej Pokorny

2017-06-22 12:07

developer   ~0101279

Please attach a simple project to reproduce. Debugging the IDE is very time consuming.

Ondrej Pokorny

2017-07-19 09:22

developer   ~0101777

No response, unassigning.

Juha Manninen

2017-08-20 11:19

developer   ~0102250

Actually I can reproduce this. The same FilterEdit hint works well in other places but not in the Options window.
With GTK2 the color turns to grey after clearing the filter.
With QT it remains black.

Ondrej Pokorny

2017-08-20 14:49

developer   ~0102256

Debugging the IDE is still very time consuming...

Juha Manninen

2017-08-20 19:24

developer   ~0102258

Ondrej, I did not mean you must fix it. Thanks for doing it anyway, it was more complex than I imagined.

Ondrej Pokorny

2017-08-20 19:55

developer   ~0102259

No problem :)

Issue History

Date Modified Username Field Change
2017-06-21 20:15 CudaText man New Issue
2017-06-21 20:15 CudaText man File Added: filter-1st.png
2017-06-22 12:07 Ondrej Pokorny Note Added: 0101279
2017-06-22 12:07 Ondrej Pokorny Assigned To => Ondrej Pokorny
2017-06-22 12:07 Ondrej Pokorny Status new => assigned
2017-07-19 09:21 Ondrej Pokorny Assigned To Ondrej Pokorny =>
2017-07-19 09:22 Ondrej Pokorny LazTarget => -
2017-07-19 09:22 Ondrej Pokorny Note Added: 0101777
2017-07-19 09:22 Ondrej Pokorny Status assigned => new
2017-08-20 11:19 Juha Manninen Note Added: 0102250
2017-08-20 14:18 Ondrej Pokorny Assigned To => Ondrej Pokorny
2017-08-20 14:18 Ondrej Pokorny Status new => assigned
2017-08-20 14:18 Ondrej Pokorny Fixed in Revision => 55716
2017-08-20 14:18 Ondrej Pokorny Status assigned => resolved
2017-08-20 14:18 Ondrej Pokorny Resolution open => fixed
2017-08-20 14:49 Ondrej Pokorny Fixed in Revision 55716 => 55716, 55718
2017-08-20 14:49 Ondrej Pokorny Note Added: 0102256
2017-08-20 19:24 Juha Manninen Note Added: 0102258
2017-08-20 19:55 Ondrej Pokorny Note Added: 0102259